<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSettingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('settings', function (Blueprint $table) {
            $table->increments('id');
            $table->string('invoice_banner')->default('default.png');
            $table->text('invoice_condition')->nullable();
            $table->integer('sale_profit_percentage')->nullable();
            $table->integer('vat_percentage')->nullable();
            $table->integer('ddspinp');//default,data,show,per page in pagination 
            $table->string('pdl');// pagination data list 
            $table->string('previous_date');//previous date enable disable on date calander
            $table->integer('updated_by');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('settings');
    }
}
